#!/usr/bin/perl -w

#
#  NSIS to POT file converter
#
#  Copyright (C) 2004 Sharuzzaman Ahmat Raslan.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License as
#  published by the Free Software Foundation; either version 2 of the
#  License, or (at your option) any later version.
#
#  This script is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this library; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  Authors: Sharuzzaman Ahmat Raslan <sharuzzaman@gmail.com>
#

my $file = 'abi_lng_English.nsh';  

open(STRINGS, "< $file" ) or die "Cannot open $file";
  
while (<STRINGS>) {

  next unless (/^\$\{LSTR\}\s(.*)\s*\"(.*)\"/m);

  if (/^\$\{LSTR\}\s(.*)\s*\"(.*)\"/) { $str1 = $1; $str2 = $2; }
	
  my ($msgid,$string) = ($str1,$str2);
  $strings{$msgid} = $string;
  
  next;
}

close(STRINGS);


foreach my $msg (sort keys %strings) {
    next unless $msg;
  
    print "#: $msg\n";
    print "msgid \"$strings{$msg}\"\n";
    if ($strings{$msg}){
	print "msgstr \"\"\n";
    } else {
	print "msgstr \"MISSING\"\n";
    }
    print "\n";
  
}

